=== debian/changelog ===
ros-noetic-dbw-fca-can (1.3.0-1focal) focal; urgency=high

  * Bump firmware versions
  * Change unsigned vehicle speed to signed vehicle velocity
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Wed, 30 Nov 2022 05:00:00 -0000

ros-noetic-dbw-fca-can (1.2.3-1focal) focal; urgency=high

  * Periodically publish DBW enabled status in addition to latched and on change
  * Bump firmware versions
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Fri, 13 May 2022 04:00:00 -0000

ros-noetic-dbw-fca-can (1.2.2-1focal) focal; urgency=high

  * Bump firmware versions
  * Minor cleanup
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 08 Mar 2022 05:00:00 -0000

ros-noetic-dbw-fca-can (1.2.1-1focal) focal; urgency=high

  * Bump firmware versions
  * Add reserved bits
  * Improve printing of license info
  * Add ignition status to ThrottleInfoReport
  * Add user control of alert
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Mon, 20 Sep 2021 04:00:00 -0000

ros-noetic-dbw-fca-can (1.2.0-1focal) focal; urgency=high

  * Bump firmware versions
  * C++17 and std::clamp()
  * Remove ROS Kinetic support
  * Populate brake/throttle/steering command values even if enable is false
  * Fix socketcan error frame lock up
  * Contributors: Kevin Hallenbeck, Robert Maupin

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Wed, 12 May 2021 04:00:00 -0000

ros-noetic-dbw-fca-can (1.1.3-1focal) focal; urgency=high

  * Bump firmware versions
  * License multiple features individually
  * Add option to use socketcan hardware
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 09 Mar 2021 05:00:00 -0000

ros-noetic-dbw-fca-can (1.1.2-1focal) focal; urgency=high

  * Bump firmware versions
  * Fix typo in MiscCmd message
  * Update brake type field to match firmware change
  * Add Ford Ranger platform
  * Add reserved bit to prevent warnings
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Thu, 14 Jan 2021 05:00:00 -0000

ros-noetic-dbw-fca-can (1.1.1-1focal) focal; urgency=high

  * Bump firmware versions
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Mon, 17 Aug 2020 04:00:00 -0000

ros-noetic-dbw-fca-can (1.1.0-1focal) focal; urgency=high

  * Add HVAC control and status
  * Contributors: Kevin Hallenbeck, Sun Hwang

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Mon, 10 Aug 2020 04:00:00 -0000

ros-noetic-dbw-fca-can (1.0.11-1focal) focal; urgency=high

  * Only publish joint states from DbwNode if set to load URDF model
    The joint states messages from DbwNode collide with the joint states published by the Gazebo simulator otherwise.
  * Change names of joints to be different from links
    Gazebo 11 doesn't let joint names and link names be the same, which was allowed in earlier versions
  * Contributors: Kevin Hallenbeck, Micho Radovnikovich

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Wed, 05 Aug 2020 04:00:00 -0000

ros-noetic-dbw-fca-can (1.0.10-1focal) focal; urgency=high

  * Add gear reject enumerations
  * Increase CMake minimum version to 3.0.2 to avoid warning about CMP0048
    http://wiki.ros.org/noetic/Migration#Increase_required_CMake_version_to_avoid_author_warning
  * Remove unused parameter from launch file
  * Add sensor reports for wiper, highbeam, and hazard light
  * Add sensor reports for gyro, accelerometer, GPS, and tire pressure
  * Contributors: Kevin Hallenbeck, Sreedevi Adukkathayar, Sun Hwang

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Thu, 09 Jul 2020 04:00:00 -0000

ros-noetic-dbw-fca-can (1.0.9-1focal) focal; urgency=high

  * Update firmware versions
  * Report NAN for signals that are unavailable/faulted
  * Add door commands
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Fri, 14 Feb 2020 05:00:00 -0000

ros-noetic-dbw-fca-can (1.0.8-1focal) focal; urgency=high

  * Add launch file argument to switch between Jeep and Pacifica URDF models
  * Contributors: Micho Radovnikovich

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Thu, 17 Oct 2019 04:00:00 -0000

ros-noetic-dbw-fca-can (1.0.7-1focal) focal; urgency=high

  * Added argument to enable/disable CAN message filtering on DBW message range
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Fri, 13 Sep 2019 04:00:00 -0000

ros-noetic-dbw-fca-can (1.0.6-1focal) focal; urgency=high

  * Updated firmware versions
  * Updated website maintenance link
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 13 Aug 2019 04:00:00 -0000

ros-noetic-dbw-fca-can (1.0.5-1focal) focal; urgency=high

  * Extend licensing to each module
  * Contributors: Kevin Hallenbeck, Sun Hwang

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Wed, 24 Jul 2019 04:00:00 -0000

ros-noetic-dbw-fca-can (1.0.4-1focal) focal; urgency=high

  * Added support for non-hybrid brake report values
  * Added gear number to ThrottleInfoReport
  * Contributors: Kevin Hallenbeck, Sun Hwang

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Thu, 11 Jul 2019 04:00:00 -0000

ros-noetic-dbw-fca-can (1.0.3-1focal) focal; urgency=high

  * Added warnings for unknown and unsupported command types
  * Added FORD_C1 platform
  * Added fuel level report message
  * Added casts to force single precision floating point math
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Fri, 03 May 2019 04:00:00 -0000

ros-noetic-dbw-fca-can (1.0.2-1focal) focal; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Thu, 14 Mar 2019 04:00:00 -0000

ros-noetic-dbw-fca-can (1.0.1-1focal) focal; urgency=high

  * Updated firmware versions

